FluxBB.fr

Le site des utilisateurs francophones de FluxBB.

Recherche rapide

Vous n'êtes pas identifié(e).

Version 1.4.13 : [.tar.gz][.zip] (maj 20/10/2014)
Pack langue française pour 1.4.x : [.zip] (maj 06/01/2012)

Branche 1.5.x : fluxbb.org
Pack langue française pour 1.5.x : [.zip] (maj 14/01/2016)

Ancienne Version 1.2.24 fr : [.zip] (maj 26/08/2011)

Vous avez un problème ?
Avant de poser votre question sur les forums d'entraide nous vous invitons à consulter :

#1 26-08-2011 18:37:54

bibi
Régulier
Inscription : 26-08-2011
Messages : 59
Site Web

probleme mise à jour 1.2.24 vers 1.4.6

bonjour à tous
je vais enfin tenter de passer à la nouvelle branche mais la mise à jour me fait très peur ,je ne suis pas très douée ..
lors de mon premier essai en local ,l'index s'affiche mais je fais db update j'ai ce message

Error: Version mismatch. The database 'xxxe1' doesn't seem to be running a FluxBB database schema supported by this update script..

si je tente une autre page ,j'ai une page blanche
sos ,merci smile

Dernière modification par bibi (26-08-2011 19:14:39)

Hors ligne

#2 26-08-2011 21:26:53

adaur
Habitué très actif
Lieu : Derrière Notepad ++ !
Inscription : 25-09-2008
Messages : 1 937
Site Web

Re : probleme mise à jour 1.2.24 vers 1.4.6

Bonsoir,

Si tu es en 1.2.24 il est possible que les devs n'aient pas fait la mise à jour du script de la 1.2. Modifie o_cur_version dans la BDD par 1.2.23 ou 1.2.22 pour voir smile


"As code is more often read than written it's really important to write clean code." - Franz
Twitter: @adaurfr
Mon fork de FluxBB: FeatherBB

Hors ligne

#3 26-08-2011 21:32:11

bibi
Régulier
Inscription : 26-08-2011
Messages : 59
Site Web

Re : probleme mise à jour 1.2.24 vers 1.4.6

merci à toi
j'ai fait la modif ,je n'ai plus le message d'erreur mais une page blanche sad

Dernière modification par bibi (26-08-2011 21:32:35)

Hors ligne

#4 26-08-2011 23:35:03

adaur
Habitué très actif
Lieu : Derrière Notepad ++ !
Inscription : 25-09-2008
Messages : 1 937
Site Web

Re : probleme mise à jour 1.2.24 vers 1.4.6

On avance tongue.

Les erreurs sont elles affichées habituellement?


"As code is more often read than written it's really important to write clean code." - Franz
Twitter: @adaurfr
Mon fork de FluxBB: FeatherBB

Hors ligne

#5 27-08-2011 09:45:47

bibi
Régulier
Inscription : 26-08-2011
Messages : 59
Site Web

Re : probleme mise à jour 1.2.24 vers 1.4.6

jusque là je n'avais pas d'erreur , je n'ai plus qu'une page blanche quand je vais sur l'index en local

j'ai vraiment envie de changer mais chaque fois que je tente en local j'ai plein de bug hmm ,ça me fout la trouille

l'idéal serai de trouver kkun qui me le fasse ,je suis prête à payer pour ça car je ne suis pas assez compétente pour cette grosse mise à jour ,trop peur de bloquer mon forum ou perdre des données (avec les hdiff je m'en sortais mieux)

voilà ce que j'ai fait :
j'ai uploadé les fichiers de la nouvelle version en conservant le config et img puis c'est tout ,peut etre devrais je faire par étape de la 1.24 à la 1.43 et ensuite passer à 1.46 ?
j'ai pas mal de mods ,je suis prete à les réinstaller ,peut etre aussi que ca vient de là ?
comment mettre un forum "propre" en conservant les messages et users ?

Dernière modification par bibi (27-08-2011 09:50:20)

Hors ligne

#6 27-08-2011 19:27:55

Mpok
Néo Admin
Inscription : 10-08-2006
Messages : 2 927
Site Web

Re : probleme mise à jour 1.2.24 vers 1.4.6

@bibi : si tu as "vraiment envie de changer", c'est bien (car nous préconisons ce genre d'update), et nous allons t'aider (si possible).

Oublie la solution de déléguer à qqun ce processus (surtout moyennant finance)…
Pour plusieuses raisons :
- tu apprendras bien plus en le faisant toi-même (et en cas de mod incompatible, c'est à toi de voir ce qu'il s'agit de faire).
- tu ne peux pas faire confiance à n'importe qui pour faire cela (et comme tu es nouveau sur ce forum, je me demande bien quels seront tes critères de choix…).
- dans 90% des cas, ton problème est MINEUR. Cela ne nécessite pas une rémunération. Donc, même si la personne choisie est compétente et intègre, tu vas te faire avoir…

(Note : ceci dit, une "prestation" plus globale peut être envisagée. Avec rémunération. Mais il faut la préciser…).

En ce qui concerne les mods déjà installées, cela ne bloque pas la mise à jour en elle-même.
Ensuite, il faudra trouver les équivalents en 1.4, mais c'est l'étape suivante.

- donnes-nous quand même la liste des mods 1.2 installées, au cas où.
- mets le forum en debug (en dé-commentant la ligne ad'hoc au début de common.php).
- vérifie avec phpMyAdmin (directement sur la base) que la mise à jour 1.4 a bien été effectuée (déjà le numéro de version dans config, puis le type des tables qui doivent être UTF8).


Life is a struggle, programming is a suffer.

Hors ligne

#7 27-08-2011 20:23:59

bibi
Régulier
Inscription : 26-08-2011
Messages : 59
Site Web

Re : probleme mise à jour 1.2.24 vers 1.4.6

bonsoir, Mpok et merci de tes précieux conseils ,je suis vraiment désespérée car cette mise à jour me "colle " vraiment et c'est la première fois ,j'aime pas etre à la traine
au fait,je suis une fille et pas dutout de la partie smile
alors je vais m'armer de patience et vous aussi,lol! pour tenter de réussir grace à vous
-mes mods
Check Addon Update 
Email listeur
Trace IP
Vider le cache (Clear Cache)
Image Awards Mod 1.0.0 ( )
PunToolBar ( ) 1.5.
Another Private Messaging System ( ) 1.2.1 
PunOnline ( ) 1.2.1
Admin Signalements ( ) 1.0
Smilies Manager ( )
mon fichier config

<?php

$db_type = 'mysql';
$db_host = '127.0.0.1';
$db_name = 'XXXe1';
$db_username = 'root';
$db_password = '';
$db_prefix = 'pun_';
$p_connect = false;

$cookie_name = 'punbb_cookie';
$cookie_domain = '';
$cookie_path = '/';
$cookie_secure = 0;
$cookie_seed = 'dd5d4adce4860oièà';

define('PUN', 1);

?>

le fichier common.php n'existe pas dans la version 1.2 ,c'est normal ?
je vais tout désinstaller sauf ma BDD et recommencer à zéro puisque c'est en local ,j'utilise easyphp 5.3.80

Hors ligne

#8 27-08-2011 20:55:35

bibi
Régulier
Inscription : 26-08-2011
Messages : 59
Site Web

Re : probleme mise à jour 1.2.24 vers 1.4.6

- mets le forum en debug (en dé-commentant la ligne ad'hoc au début de common.php).

cad ? j'ai cà au début

// Language definitions for frequently used strings
$lang_common = array(

sur la BDD en config je suis en 1.2.24
quand je vais sur l'index j'ai une page blanche

Dernière modification par bibi (27-08-2011 20:58:14)

Hors ligne

#9 27-08-2011 21:07:23

Mpok
Néo Admin
Inscription : 10-08-2006
Messages : 2 927
Site Web

Re : probleme mise à jour 1.2.24 vers 1.4.6

bibi a écrit :

alors je vais m'armer de patience et vous aussi,lol! pour tenter de réussir grace à vous

Ok. Il faudra surtout T'INVESTIR toi-même…
(comme tu l'as sans doute compris, nous allons essayer de t'aider, mais nous ne ferons pas les choses à ta place).

bibi a écrit :

le fichier common.php n'existe pas dans la version 1.2 ,c'est normal ?

Si, il existe en 1.2 comme en 1.4 (dans le répertoire 'include'.
En revanche, ma proposition était fausse pour la 1.4 (vraie pour la 1.2) :
- en 1.2, on établit le mode 'debug' en dé-commentant une ligne du fichier 'include/common.php'.
- en 1.4, on doit ajouter cette ligne au fichier config.php :

define('PUN_DEBUG', 1);
bibi a écrit :

je vais tout désinstaller sauf ma BDD et recommencer à zéro puisque c'est en local ,j'utilise easyphp 5.3.80

Hmm… Je ne comprends pas bien la démarche. Ce qui est important de modifier lors d'une maj 1.2 => 1.4, C'EST LA BDD, justement. C'est ce que fait le fichier 'db_update.php'.
Les autres fichiers php, c'est secondaire. De toute façon, il faudra ré-installer les mods (en version 1.4).

Note sur les mods : je réponds uniquement pour les miennes…
- PunToolBar 1.5 : OK. => FluxToolBar 2.0.2
- Smiles Manager : OK => SmiliesManager 1.4.1
(les autres, au moins à 90% d'entre elles, ont également une version 1.4 compatible).


Life is a struggle, programming is a suffer.

Hors ligne

#10 27-08-2011 21:45:22

adaur
Habitué très actif
Lieu : Derrière Notepad ++ !
Inscription : 25-09-2008
Messages : 1 937
Site Web

Re : probleme mise à jour 1.2.24 vers 1.4.6

Another Private Messaging -> OK aussi, 2 versions selon que tu souhaites conserver les anciens messages ou pas.


"As code is more often read than written it's really important to write clean code." - Franz
Twitter: @adaurfr
Mon fork de FluxBB: FeatherBB

Hors ligne

#11 28-08-2011 01:20:04

Spiky
Habitué très actif
Inscription : 10-04-2008
Messages : 829

Re : probleme mise à jour 1.2.24 vers 1.4.6

Image Awards, normalement ok aussi mais faut que je regarde pour la 1.4.6 et mettre éventuellement le read-me à jour.


I don't play against a team in particular. I play to fight against the idea to lose... Life is beautiful.
Quelque #ID et beaucoup de .CLASS

Hors ligne

#12 28-08-2011 16:10:48

adaur
Habitué très actif
Lieu : Derrière Notepad ++ !
Inscription : 25-09-2008
Messages : 1 937
Site Web

Re : probleme mise à jour 1.2.24 vers 1.4.6

Au pire, si ta base de données n'est pas trop lourde, et que tu n'y arrives pas, je peux essayer de te le faire en local gratuitement (pour le temps que ça prend tongue), si tu n'y vois pas d'inconvénient bien sûr, et je ne pense pas que cela puisse te faire progresser en terme de coding outre mesure, contrairement aux mods.

Dernière modification par adaur (28-08-2011 16:11:04)


"As code is more often read than written it's really important to write clean code." - Franz
Twitter: @adaurfr
Mon fork de FluxBB: FeatherBB

Hors ligne

#13 28-08-2011 16:42:59

Otomatic
Régisseur
Lieu : Paris, France
Inscription : 12-12-2005
Messages : 3 551
Site Web

Re : probleme mise à jour 1.2.24 vers 1.4.6

Bonjour,
Juste pour dire que ce ne peut pas être un problème de version du serveur local. EasyPHP 5.3.8.0 comprend :
PHP 5.3.8
Apache 2.2.19
MySQL 5.5.15
PhpMyAdmin 3.4.3.2

Ce sont les mêmes versions que celles que j'utilise en local (Wampserver modifié par mes soins) et j'ai fait, pour quelqu'un, un db_update.php d'une base FluxBB 1.2.23 vers 1.4.6 sans aucun problème.
Éventuellement, cela pourrait venir d'un problème de configuration du serveur (php.ini ou my.ini) et de la non visualisation des erreurs PHP.


Ce n'est pas parce que l'erreur se propage qu'elle devient vérité. Gandhi
Sont différents : ça et sa - est et ait - à et a - ce et se - mes et mais ou met - été et était - c'est et ces - ce-si et ceci
La vie sans musique est tout simplement une erreur, une fatigue, un exil. Friedrich Nietzsche

Hors ligne

#14 28-08-2011 21:13:38

bibi
Régulier
Inscription : 26-08-2011
Messages : 59
Site Web

Re : probleme mise à jour 1.2.24 vers 1.4.6

bonsoir à tous ,désolée de répondre si tard mais j'ai bossé toute la journée et ce soir j'ai encore fait des essais et j'ai toujours page blanche et cette erreur quand je met le fichier update

Error: Version non correspondante. La base de données 'xxxe1' ne semble pas utiliser un schéma de base de données FluxBB pris en charge par ce script de mise à jour..

Otomatic ,merci pour l'info car en effet je me posais la question sur cette version easyphp ,j'ai juste modifié le fichier ini pour y transférer ma BDD qui est assez grosse 36Mo et ne passais pas ,peut etre que ca vient de là ?

Adaur ,j'accepte vraiment ta proposition car je plante ,certes ca ne me fera pas avancer dans le coding mais je manque vraiment de temps et mis à part modifier les fichiers avec les hdiff ou intégrer des mods je ne sais pas faire grand chose
mon métier(infirmière libérale) ne me permet pas de consacrer autant de temps ,je bosse de 06 h du mat à 20H le soir,il me reste les nuits et qques minutes volées dans la journée (que je consacre à administrer mon forum de plus de 3400 membres et au site

Mpok et spiky ,j'accepterai volontiers,si besoin de l'aide pour les mods dès que j'aurai enfin réalisé cette MAJ

Adaur ,on fait comment ? smile

Dernière modification par bibi (28-08-2011 21:49:35)

Hors ligne

#15 29-08-2011 18:40:21

Otomatic
Régisseur
Lieu : Paris, France
Inscription : 12-12-2005
Messages : 3 551
Site Web

Re : probleme mise à jour 1.2.24 vers 1.4.6

bibi a écrit :

Otomatic ,merci pour l'info car en effet je me posais la question sur cette version easyphp ,j'ai juste modifié le fichier ini pour y transférer ma BDD qui est assez grosse 36Mo et ne passais pas ,peut etre que ca vient de là ?

Bonsoir,
Il n'est pas obligatoire, ni même indispensable, de devoir modifier le fichier php.ini pour importer de grosses bases de données avec PhpMyAdmin.
Je ne sais pas comment c'est fait avec EasyPhp, mais avec Wampserver, je lance PhpMyAdmin via un alias phpmyadmin.conf qui contient, par défaut :

Alias /phpmyadmin "J:/Wamp/apps/phpmyadmin3.4.3.2/" 
<Directory "J:/Wamp/apps/phpmyadmin3.4.3.2/">
    Options Indexes FollowSymLinks MultiViews
    AllowOverride all
        Order Deny,Allow
 Deny from all
 Allow from 127.0.0.1
 Allow from localhost
</Directory>

Il suffit de dire que pour PhpMyAdmin, on a besoin de plus de mémoire et de plus de temps d'exécution en ajoutant des directives php_admin_value qui modifieront à la volée les valeurs allouées par php.ini

Alias /phpmyadmin "J:/Wamp/apps/phpmyadmin3.4.3.2/" 
<Directory "J:/Wamp/apps/phpmyadmin3.4.3.2/">
    Options Indexes FollowSymLinks MultiViews
    AllowOverride all
        Order Deny,Allow
 Deny from all
 Allow from 127.0.0.1
 Allow from localhost
  php_admin_value upload_max_filesize 64M
  php_admin_value post_max_size 64M
  php_admin_value max_execution_time 360
  php_admin_value max_input_time 360
</Directory>

Et voilou !


Ce n'est pas parce que l'erreur se propage qu'elle devient vérité. Gandhi
Sont différents : ça et sa - est et ait - à et a - ce et se - mes et mais ou met - été et était - c'est et ces - ce-si et ceci
La vie sans musique est tout simplement une erreur, une fatigue, un exil. Friedrich Nietzsche

Hors ligne

#16 29-08-2011 19:11:12

adaur
Habitué très actif
Lieu : Derrière Notepad ++ !
Inscription : 25-09-2008
Messages : 1 937
Site Web

Re : probleme mise à jour 1.2.24 vers 1.4.6

Pour ma part je passe via cmd, c'est encore plus rapide smile

www.journalduwebmaster.com/importer-une-base-mysql-en-local-49.html


"As code is more often read than written it's really important to write clean code." - Franz
Twitter: @adaurfr
Mon fork de FluxBB: FeatherBB

Hors ligne

#17 30-08-2011 11:10:33

bibi
Régulier
Inscription : 26-08-2011
Messages : 59
Site Web

Re : probleme mise à jour 1.2.24 vers 1.4.6

Otomatic ,merci j'ai appliqué la modif ,ca marche smile
Adaur ,je t'adore ,ta version locale fonctionne à merveille plus_un ,tu as trouvé d'ou venait l'erreur sur ma BDD et tu as fait la mise à jour en un rein de temps !
tout n'est pas fini mais mon pb est résolu .... il me reste à insérer mes mods .... je risque d'avoir encore besoin de vous siffle

en tous cas ,ce forum est génial et très efficace

Hors ligne

#18 30-08-2011 12:12:49

adaur
Habitué très actif
Lieu : Derrière Notepad ++ !
Inscription : 25-09-2008
Messages : 1 937
Site Web

Re : probleme mise à jour 1.2.24 vers 1.4.6

De rien happy.

Pour ceux qui auraient une erreur similaire, vérifiez que vous possédez le champ o_cur_version et non pas o_cur_version_fr seulement wink.


"As code is more often read than written it's really important to write clean code." - Franz
Twitter: @adaurfr
Mon fork de FluxBB: FeatherBB

Hors ligne

Pied de page des forums